/*

 * Project name:

    GSM

 * Copyright

     (c) Researchdesignlab.com

 * Test configuration:

     MCU:             MSP430G2553

     Dev.Board:       TI LAUNCHPAD

     Oscillator:      16 MHz

     Software:        CCS STUDIO V.5



*/
#include <msp430.h>
#include "msp430fr5739.h"

#include "uart.h" // uart hedder file





void gsm();//GSM FUNCTION PROTOTYPE





int main(void)

{

    WDTCTL = WDTPW + WDTHOLD;// STOP WATCHDOG TIMER


    UCA0CTL1 = UCSSEL_2 | UCSWRST;

    uart_init(); // CALL THE UART INIT FUNCTION WHICH IS AVAILAIBLE IN THE FILE

    __enable_interrupt();// ENABLE INTERRUPT



    __delay_cycles(100000);









    gsm();// CALL THE GSM FUNCTION



}





void gsm()

{





      uart_puts((char *)"AT"); // COMMAND FOR INITIALIZING GSM

      uart_putc(0x0A);//ENTER

      uart_putc(0x0D);//CARRIAGE RETURN



      __delay_cycles(10000000);//DELAY...WAIT FOR OK FROM GSM

      uart_puts((char *)"AT+CMGF=1");//COMMUNICATION

      uart_putc(0x0A);

      uart_putc(0x0D);



     __delay_cycles(10000000);//WAIT FOR OK

      uart_puts((char *)"AT+CMGS=\"7207125449\"");//SEND A MESSAGE TO PARTICULAR NUMBER

      uart_putc(0x0A);

      uart_putc(0x0D);

      uart_puts((char *)"GSMtest");//SEND HELLO

         uart_putc(0x1A);//CTRL Z

      //AFTER HARDWARE CONFIGURATION THE MESSAGE WILL GET SEND

     //ATTACH THE UART FILES OR WRITE THE CODE FOR INIT AND SENDING MESSAGE IN THE SAME FILE...

}







// end of gsm.c file

//
